Revert Squad Version
curl --request POST \
--url https://api.example.com/squads/:id/version-controlimport requests
url = "https://api.example.com/squads/:id/version-control"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/squads/:id/version-control', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Squads
Revert Squad Version
Reverts a squad to a specific version snapshot.
POST
/
squads
/
:id
/
version-control
Revert Squad Version
Endpoint
POST https://gateway.orkeia.ai/squads/{id}/version-control
AuthenticationRequires header
authorization: <your_token>.
Path Parameters
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
| id | string | Yes | Unique identifier of the squad. | SQUAD_1234 |
Request Body (JSON)
Note: this endpoint does not create a new version. It reverts the squad to an existing version, identified by versionControl.
{
"versionControl": "v1.0.2"
}
Example (cURL)
curl -X POST "https://gateway.orkeia.ai/squads/SQUAD_1234/version-control" -H "authorization: <your_token>" -H "Content-Type: application/json" -d '{ "versionControl": "v1.0.2" }'
Responses
Response - Success
response
{
"status": "OK",
"data": true
}
500 — Server Error
{
"status": "ERROR",
"code": "server/error",
"data": null
}
400 — Client Error
{
"status": "ERROR",
"code": "client/error",
"data": null
}
Notes
- Versions are automatically generated when the squad is created or updated.
- Use this endpoint to revert to a previous snapshot. To view the content of a specific version, use
GET /squads/{id}/version-control/{versionId}(if available in your API).
Was this page helpful?
